<?php

//File read & File write //

function bny_readfile($file){
	require_once(ABSPATH . 'wp-admin/includes/file.php');
	$buf = '';
	if (is_file($file) === true){
		if(WP_Filesystem()){
			global $wp_filesystem;
			$buf = $wp_filesystem->get_contents($file);
		}
	}
	return $buf;
}

function bny_writefile($file, $text){
	require_once(ABSPATH . 'wp-admin/includes/file.php');
	if(WP_Filesystem()){
		global $wp_filesystem;
		$wp_filesystem->put_contents($file, $text);
	}
}



//Execute CSS minimization script when logging out //

function mincss($c){
    $c = str_replace(array("\r\n", "\r", "\n", "\t", '  ', '    ', '    '), '', $c);
    $c = preg_replace('!/\*[^*]*\*+([^/][^*]*\*+)*/!', '', $c);
    $c = str_replace(': ', ':', $c);
    return $c;
}

function exec_css_minimization() {
	$maincss = get_template_directory() . '/style.min.css';
	$ampcss = get_template_directory() . '/amp/style.php';
	$buf = "";
	ob_start();
	get_template_part("style");
	$buf = ob_get_clean();
	$buf = mincss($buf);
	bny_writefile($maincss, $buf);
	bny_writefile($ampcss, $buf);
}



// Output sidebar file //

function bny_read_sidebar($idx) {
	$buf = "";
	ob_start();
	dynamic_sidebar($idx);
	$buf = ob_get_clean();
	return $buf;
}

function bny_static_sidebar($idx) {
	$id = 'sidebar-' . $idx;
	if (!is_active_sidebar($id)){
		return;
	}
	$outfile = get_template_directory() . '/sidebar-static.php';
	$buf  = '<aside id="bny-secondary" class="widget-area">';
	$buf .= bny_read_sidebar($idx);
	$buf .= '</aside><!-- #secondary -->';
	bny_writefile($outfile, $buf);
}




//------------------sidebar for amp----------------------------------------------




// amp comverter
function bny_amp_tag_conv($content) {

	$bufcont  = '<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /></head><body>';
	$bufcont .= $content;
	$bufcont .= '</body></html>';
	$dom = new DOMDocument();
	@$dom->loadHTML($bufcont);

	$convtags = [];

	//delete attributes
	foreach ($dom->getElementsByTagName('*') as $node) {
		$convtags[] = $node;
	}
	foreach ($convtags as $node) {
		$node->removeAttribute('style');
		$node->removeAttribute('target');
		$node->removeAttribute('onclick');
	}
	unset($convtags);

	//convert tags    <img>, <iframe>
	$arrtags = array('img', 'iframe');
	foreach ($arrtags as $convtag) {
		foreach ($dom->getElementsByTagName($convtag) as $node) {
			$convtags[] = $node;
		}
		foreach ($convtags as $node) {
			$newtag = 'amp-' . $convtag;
			$newEle = $dom->createElement($newtag , '');
			$node->parentNode->appendChild($newEle);
			foreach ($node->attributes as $nodeattr) {
				$newEle->setAttribute($nodeattr->nodeName, $nodeattr->nodeValue);
			}
			$node->parentNode->removeChild($node);
		}
		unset($convtags);
	}

    //remove some tags.
	$convtags = array('base', 'frame', 'frameset', 'object', 'param', 'applet', 'embed');
	foreach ($convtags as $convtag) {
		foreach ($dom->getElementsByTagName('script') as $node) {
			$removetag[] = $node;
		}
		foreach ($removetag as $node) {
			$node->parentNode->removeChild($node);
		}
	}
	unset($convtags);

	//adding target to form
    foreach ($dom->getElementsByTagName('form') as $node) {
        $convtags[] = $node;
    }
    foreach ($convtags as $node) {
        $node->setAttribute('target', '_top');
		//$node->setAttribute('method', 'post');
    }
	unset($convtags);



	//output
	$buf = preg_replace('/^\<\!DOC.*?\>\n/', '', $dom->saveHTML());
	$buf = preg_replace('/^\<html\>.*?\<body\>/', '', $buf);
	$buf = preg_replace('/\<\/body\>.*?\<\/html\>\n/', '', $buf);
	return $buf;
}



//amp static sidebar
function bny_amp_static_sidebar($idx) {
    $id = 'sidebar-' . $idx;
    if (!is_active_sidebar($id)){
        return;
    }
    $outfile = get_template_directory() . '/amp/sidebar-amp.php';
    $buf  = '<aside id="bny-secondary" class="widget-area">';
    $buf .= bny_amp_tag_conv(bny_read_sidebar($idx));
    $buf .= '</aside><!-- #secondary -->';
    bny_writefile($outfile, $buf);
}

?>
